package poker.domain.classificacao

import poker.domain.Carta
import poker.domain.Valor._
import poker.domain.Naipe._
import org.testng.annotations._
import org.junit.Assert._
import poker.PokerHelperTest._

class SequenciaTest {
  
  @Test
  def menorSequenciaGanhaDeMaiorTrinca() {
    assertTrue(menorSequencia() > maiorTrinca())
    assertTrue(maiorTrinca() < menorSequencia())
  }
  
  @Test
  def cartaMaisAltaDaSequenciaGanha() {
    assertTrue(c((3, PAUS), (4, PAUS), (5, PAUS), (6, PAUS), (7, OUROS)) >
               c((2, PAUS), (3, PAUS), (4, PAUS), (5, PAUS), (6, OUROS)))
  }
                                                                
  @Test
  def empate() {
		var comb = maiorSequencia()
    assertTrue(comb >= comb)
		assertTrue(comb <= comb)
  }
  
}
